#!/bin/bash
#
# USAGE: buildDAQChannelMap.sh <opt|debug|prof> [qualifier]

extraqual=${1}
basequal=${2}
myproddir=/home/garren/scratch/externals
productname=daqchannelmap
mixname=DAQChannelMap
pkgver=v1_01_00

if [ -z ${basequal} ]
then
    basequal=e2
fi

if [ "${extraqual}" = "opt" ]
then
    fullqual=${basequal}:${extraqual}
    qualdir=${basequal}-${extraqual}
    extra_opt="-o"
elif [ "${extraqual}" = "debug" ]
then
    fullqual=${basequal}:${extraqual}
    qualdir=${basequal}-${extraqual}
    extra_opt="-d"
elif [ "${extraqual}" = "prof" ]
then
    fullqual=${basequal}:${extraqual}
    qualdir=${basequal}-${extraqual}
    extra_opt="-p"
else
   echo "ERROR: please define the extra qualifier"
   echo "USAGE: `basename ${0}` <opt|debug|prof> [qualifier]"
   echo "       The default qualifier is e2"
   exit 1
fi

extra_opt="${extra_opt} ${basequal}"

echo "building for ${fullqual}"

source ${PRODUCTS}/setup
flvr=`ups flavor`
OS=`uname`

sourcedir=${myproddir}/${productname}/${pkgver}/src/${mixname}
builddir=${myproddir}/${productname}/${pkgver}/build-${flvr}


if [ -z ${flvr} ]
then
   echo "ERROR: could not determine flavor for this platform"
   echo "       something is very wrong"
   exit 1
fi

# start with clean build subdirectories
if [ -d ${builddir} ]
then
   rm -rf ${builddir}/${productname}-${qualdir}
else
   mkdir -p ${builddir}
fi

mkdir -p ${builddir}/${productname}-${qualdir}
if [ ! -d ${builddir}/${productname}-${qualdir} ]
then
   echo "ERROR: failed to create ${builddir}/${productname}-${qualdir}"
   exit 1
fi
cd ${builddir}/${productname}-${qualdir}
source ${sourcedir}/ups/setup_for_development ${extra_opt}
set -x
cmake -DCMAKE_INSTALL_PREFIX=${myproddir} -DCMAKE_BUILD_TYPE=$CETPKG_TYPE $CETPKG_SOURCE
make 
make test
make install 
make package
set +x


exit 0
